Subject: Re: [PATCH v2] PCI/MSI: Don't touch MSI bits when the PCI device is disconnected

From: Keith Busch <[email-masked]>
Date: Wed, 14 Nov 2018 13:58:55 -0700

On Wed, Nov 14, 2018 at 08:52:10PM +0000, [email-masked] wrote:
> But it does in portdrv_core.c:
> 
> 	if (dev->aer_cap && pci_aer_available() &&
> 	    (pcie_ports_native || host->native_aer)) {
> 		services |= PCIE_PORT_SERVICE_AER;
> 
> That flag later creates a pcie device that allows aerdrv to attach to.

Oh, right. I saw negotiate_os_control() just uses a stack variable for
the _OSC response, but if I had looked one level deeper, I'd see it
cached in a different structure.